Index: uspace/lib/c/include/async.h
===================================================================
--- uspace/lib/c/include/async.h	(revision 6b96dc0602d163aad5e3e62cd3ee618519b371c5)
+++ uspace/lib/c/include/async.h	(revision 63d46341182c752620dcc5a2233d205cee1075dd)
@@ -61,12 +61,10 @@
 /** Port connection handler
  *
- * @param chandle  Handle of the incoming call or CAP_NIL if connection
- *                 initiated from inside using async_create_callback_port()
- * @param call     Incoming call or 0 if connection initiated from inside
- *                 using async_create_callback_port()
- * @param arg      Local argument.
- *
- */
-typedef void (*async_port_handler_t)(cap_call_handle_t, ipc_call_t *, void *);
+ * @param call Incoming call or NULL if connection initiated from inside
+ *             using async_create_callback_port()
+ * @param arg  Local argument.
+ *
+ */
+typedef void (*async_port_handler_t)(ipc_call_t *, void *);
 
 /** Notification handler */
@@ -115,5 +113,5 @@
 	async_get_call_timeout(data, 0)
 
-extern cap_call_handle_t async_get_call_timeout(ipc_call_t *, suseconds_t);
+extern bool async_get_call_timeout(ipc_call_t *, suseconds_t);
 
 /*
@@ -194,12 +192,12 @@
  */
 
-extern errno_t async_answer_0(cap_call_handle_t, errno_t);
-extern errno_t async_answer_1(cap_call_handle_t, errno_t, sysarg_t);
-extern errno_t async_answer_2(cap_call_handle_t, errno_t, sysarg_t, sysarg_t);
-extern errno_t async_answer_3(cap_call_handle_t, errno_t, sysarg_t, sysarg_t,
+extern errno_t async_answer_0(ipc_call_t *, errno_t);
+extern errno_t async_answer_1(ipc_call_t *, errno_t, sysarg_t);
+extern errno_t async_answer_2(ipc_call_t *, errno_t, sysarg_t, sysarg_t);
+extern errno_t async_answer_3(ipc_call_t *, errno_t, sysarg_t, sysarg_t,
     sysarg_t);
-extern errno_t async_answer_4(cap_call_handle_t, errno_t, sysarg_t, sysarg_t,
+extern errno_t async_answer_4(ipc_call_t *, errno_t, sysarg_t, sysarg_t,
     sysarg_t, sysarg_t);
-extern errno_t async_answer_5(cap_call_handle_t, errno_t, sysarg_t, sysarg_t,
+extern errno_t async_answer_5(ipc_call_t *, errno_t, sysarg_t, sysarg_t,
     sysarg_t, sysarg_t, sysarg_t);
 
@@ -208,7 +206,7 @@
  */
 
-extern errno_t async_forward_fast(cap_call_handle_t, async_exch_t *, sysarg_t,
+extern errno_t async_forward_fast(ipc_call_t *, async_exch_t *, sysarg_t,
     sysarg_t, sysarg_t, unsigned int);
-extern errno_t async_forward_slow(cap_call_handle_t, async_exch_t *, sysarg_t,
+extern errno_t async_forward_slow(ipc_call_t *, async_exch_t *, sysarg_t,
     sysarg_t, sysarg_t, sysarg_t, sysarg_t, sysarg_t, unsigned int);
 
@@ -380,11 +378,10 @@
 extern errno_t async_share_in_start(async_exch_t *, size_t, sysarg_t,
     unsigned int *, void **);
-extern bool async_share_in_receive(cap_call_handle_t *, size_t *);
-extern errno_t async_share_in_finalize(cap_call_handle_t, void *, unsigned int);
+extern bool async_share_in_receive(ipc_call_t *, size_t *);
+extern errno_t async_share_in_finalize(ipc_call_t *, void *, unsigned int);
 
 extern errno_t async_share_out_start(async_exch_t *, void *, unsigned int);
-extern bool async_share_out_receive(cap_call_handle_t *, size_t *,
-    unsigned int *);
-extern errno_t async_share_out_finalize(cap_call_handle_t, void **);
+extern bool async_share_out_receive(ipc_call_t *, size_t *, unsigned int *);
+extern errno_t async_share_out_finalize(ipc_call_t *, void **);
 
 /*
@@ -420,9 +417,6 @@
 extern aid_t async_data_read(async_exch_t *, void *, size_t, ipc_call_t *);
 extern errno_t async_data_read_start(async_exch_t *, void *, size_t);
-extern bool async_data_read_receive(cap_call_handle_t *, size_t *);
-extern bool async_data_read_receive_call(cap_call_handle_t *, ipc_call_t *,
-    size_t *);
-extern errno_t async_data_read_finalize(cap_call_handle_t, const void *,
-    size_t);
+extern bool async_data_read_receive(ipc_call_t *, size_t *);
+extern errno_t async_data_read_finalize(ipc_call_t *, const void *, size_t);
 
 extern errno_t async_data_read_forward_fast(async_exch_t *, sysarg_t, sysarg_t,
@@ -461,8 +455,6 @@
 
 extern errno_t async_data_write_start(async_exch_t *, const void *, size_t);
-extern bool async_data_write_receive(cap_call_handle_t *, size_t *);
-extern bool async_data_write_receive_call(cap_call_handle_t *, ipc_call_t *,
-    size_t *);
-extern errno_t async_data_write_finalize(cap_call_handle_t, void *, size_t);
+extern bool async_data_write_receive(ipc_call_t *, size_t *);
+extern errno_t async_data_write_finalize(ipc_call_t *, void *, size_t);
 
 extern errno_t async_data_write_accept(void **, const bool, const size_t,
@@ -478,7 +470,6 @@
 extern errno_t async_state_change_start(async_exch_t *, sysarg_t, sysarg_t,
     sysarg_t, async_exch_t *);
-extern bool async_state_change_receive(cap_call_handle_t *, sysarg_t *,
-    sysarg_t *, sysarg_t *);
-extern errno_t async_state_change_finalize(cap_call_handle_t, async_exch_t *);
+extern bool async_state_change_receive(ipc_call_t *);
+extern errno_t async_state_change_finalize(ipc_call_t *, async_exch_t *);
 
 extern void *async_remote_state_acquire(async_sess_t *);
